package com.cultural.heritage.model.vo.coupon;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class CouponVO implements Serializable {


    /**
     * 优惠券名称
     */
    private String name;

    /**
     * 满减金额
     */
    private BigDecimal conditionAmount;


    /**
     * 优惠券简介
     */
    private String intro;

    /**
     * 优惠券图片
     */
    private String image;

    /**
     * 有效开始日期
     */
    private String startTime;


    /**
     * 有效截止日期
     */
    private String endTime;

    /**
     * 作用范围
     */
    private String useScope;

    /**
     * 使用说明
     */
    private String description;



    @Serial
    private static final long serialVersionUID = 1L;
}
