package com.cultural.heritage.model.vo.good;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class GoodVO implements Serializable {

    /**
     * 商品编号
     */
    private Long id;

    /**
     * 商品名
     */
    private String name;

    /**
     * 商品类型
     */
    private String type;

    /**
     * 商品价格
     */
    private BigDecimal price;

    /**
     * 商品图片
     */
    private String goodImg;


    /**
     * 商品库存量
     */
    private Integer inventory;


    /**
     * 商品标签
     */
    private String label;

    /**
     * 是否是常规类商品
     */
    private Integer isGoodType;



    @Serial
    private static final long serialVersionUID = 1L;
}
