package com.cultural.heritage.model.vo.appointment;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

@Data
public class AppointmentDateVO implements Serializable {


    /**
     * 预约日期id
     */
    private Long id;


    /**
     * 预约具体日期
     */
    private String specificDate;


    /**
     * 预约时间段
     */
    private String timeSlot;


    /**
     * 是否可预约
     */
    private Integer isAvailable;


    /**
     * 预约人数范围
     */
    private String numberRange;


    /**
     * 商品id
     */
    private Long goodId;

    @Serial
    private static final long serialVersionUID = 1L;
}
