package com.cultural.heritage.model.vo.good;

import com.cultural.heritage.model.vo.appointment.AppointmentDateVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

@Data
public class ServiceGoodVO extends GoodPageVO implements Serializable {


    /**
     * 未来几天的预约详情
     */
    @Schema(description = "未来几天的预约详情")
    private List<AppointmentDateVO> appointmentDateVOS;


    @Serial
    private static final long serialVersionUID = 1L;
}
