package com.cultural.heritage.service.good;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.cultural.heritage.model.dto.good.GoodQueryRequest;
import com.cultural.heritage.model.entity.Good;

import java.util.List;

public interface GoodService extends IService<Good> {

    /**
     * 获取查询条件
     */
    QueryWrapper<Good> getGoodQueryWrapper(GoodQueryRequest goodQueryRequest);


    /**
     * 根据商品类名查询商品列表
     */
    List<Good> getGoodListByTypeName(String typeName);


    /**
     * 校验
     */
    void validGood(Good good, boolean update);
}
